This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 15990 - ip_masq_pptp module broken
ip_masq_pptp module broken
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-11 09:58 EDT by Michael Walter
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 11:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Walter 2000-08-11 09:58:25 EDT
The ip_masq_pptp module built into the latest beta does not masquerade 
traffic to vpn servers.  It reports masq and demasq entries 
in /var/log/messages.  But does not allow communications correctly with 
the vpn server.  The same configuration vuilt into kernel 2.2.16 works 
flawlessly.
Comment 1 Preston Brown 2000-08-14 11:46:22 EDT
Michael, stinks like a kernel issue.
Comment 2 Alan Cox 2000-08-15 09:42:20 EDT
PPTP masq shouldnt be in our kernel. This is an error. It and the ipvs patch are
mutually exclusive and this is the problem.
Comment 3 Smith, Michael 2000-08-15 10:38:01 EDT
Are there plans to include ip_masq_pptp in the next kernel beta?
Comment 4 Preston Brown 2000-08-15 11:58:16 EDT
Michael:  I'm sorry, I missed the resolution on what we are deciding to do with
this module.  Please close as necessary.
Comment 5 Bill Nottingham 2000-08-15 22:35:56 EDT
pptp masquerading is mutually exclusive with ipvs, as
alan said. Hence, this won't be fixed until new
code appears that fixes this conflict.

Note You need to log in before you can comment on or make changes to this bug.